aboutsummaryrefslogtreecommitdiff
path: root/net/binkd/pkg-install
diff options
context:
space:
mode:
authorMax Khon <fjoe@FreeBSD.org>2005-11-10 15:08:42 +0000
committerMax Khon <fjoe@FreeBSD.org>2005-11-10 15:08:42 +0000
commit88a831311d8f9d0c90058cee088dc246c277cc6d (patch)
tree7ff00c950ed900894906b43470143e061ff02eff /net/binkd/pkg-install
parentffb6138a2ea63c02ec93fffdada07c810dc0e138 (diff)
downloadports-88a831311d8f9d0c90058cee088dc246c277cc6d.tar.gz
ports-88a831311d8f9d0c90058cee088dc246c277cc6d.zip
Notes
Diffstat (limited to 'net/binkd/pkg-install')
-rw-r--r--net/binkd/pkg-install76
1 files changed, 76 insertions, 0 deletions
diff --git a/net/binkd/pkg-install b/net/binkd/pkg-install
new file mode 100644
index 000000000000..c20a81747eff
--- /dev/null
+++ b/net/binkd/pkg-install
@@ -0,0 +1,76 @@
+#!/bin/sh
+#
+
+PKG_PREFIX=${PKG_PREFIX:=/usr/local}
+BATCH=${BATCH:=no}
+
+USER=fido
+GROUP=fido
+UID=111
+GID=111
+
+ask() {
+ local question default answer
+
+ question=$1
+ default=$2
+ if [ -z "${PACKAGE_BUILDING}" -a x${BATCH} = xno ]; then
+ read -p "${question} [${default}]? " answer
+ fi
+ if [ x${answer} = x ]; then
+ answer=${default}
+ fi
+ echo ${answer}
+}
+
+yesno() {
+ local question default answer
+
+ question=$1
+ default=$2
+ while :; do
+ answer=$(ask "${question}" "${default}")
+ case "${answer}" in
+ [Yy]*) return 0;;
+ [Nn]*) return 1;;
+ esac
+ echo "Please answer yes or no."
+ done
+}
+
+USER=$(ask "Run ${1} as user" ${USER})
+UID=$(ask "Enter ${USER} user UID" ${UID})
+GROUP=$(ask "Enter group name for ${1} user" ${GROUP})
+GID=$(ask "Enter ${GROUP} group GID" ${GID})
+echo "Run ${1} as uid=${UID}(${USER}) gid=${GID}(${GROUP})"
+
+if [ x"$2" = xPRE-INSTALL ]; then
+
+ if /usr/sbin/pw groupshow "${GROUP}" 2>/dev/null; then
+ echo "You already have a group \"${GROUP}\", so I will use it."
+ else
+ if /usr/sbin/pw groupadd ${GROUP} -g ${GID}
+ then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Adding group \"${GROUP}\" failed..."
+ echo "Please create it, and try again."
+ exit 1
+ fi
+ fi
+
+ if /usr/sbin/pw user show "${USER}" 2>/dev/null; then
+ echo "You already have a user \"${USER}\", so I will use it."
+ else
+ if /usr/sbin/pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
+ -d ${PKG_PREFIX}/fido \
+ -c "Fido System"
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ echo "Please create it, and try again."
+ exit 1
+ fi
+ fi
+fi